Bug 728914 - kdenetwork-libs 4.6.95 conflicts with kdenetwork-*-libs 4.7.0
Summary: kdenetwork-libs 4.6.95 conflicts with kdenetwork-*-libs 4.7.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdenetwork
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 11:31 UTC by Sandro Mathys
Modified: 2011-11-09 13:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-09 13:33:46 UTC


Attachments (Terms of Use)

Description Sandro Mathys 2011-08-08 11:31:28 UTC
If you install F16 from the Alpha RC1 KDE live media and then try a yum update, there's a conflict between the old kdenetwork-libs (4.6.95) and the new kdenetwork-*-libs (4.7.0).

---

Dependencies Resolved

=============================================================================================================================================================================================================================================
 Package                                                         Arch                                       Version                                                                Repository                                           Size
=============================================================================================================================================================================================================================================
Installing:
 kernel                                                          x86_64                                     3.0.0-3.fc16                                                           updates-testing                                      24 M
Updating:
 PackageKit                                                      x86_64                                     0.6.17-2.fc16                                                          updates-testing                                     563 k
 PackageKit-glib                                                 x86_64                                     0.6.17-2.fc16                                                          updates-testing                                     139 k
 PackageKit-gstreamer-plugin                                     x86_64                                     0.6.17-2.fc16                                                          updates-testing                                      36 k
 PackageKit-qt                                                   x86_64                                     0.6.17-2.fc16                                                          updates-testing                                     167 k
 PackageKit-yum                                                  x86_64                                     0.6.17-2.fc16                                                          updates-testing                                     101 k
 PackageKit-yum-plugin                                           x86_64                                     0.6.17-2.fc16                                                          updates-testing                                      32 k
 acpid                                                           x86_64                                     2.0.11-1.fc16                                                          updates-testing                                      51 k
 amarok                                                          x86_64                                     2.4.3-1.fc16                                                           updates-testing                                      11 M
 amarok-libs                                                     x86_64                                     2.4.3-1.fc16                                                           updates-testing                                     2.9 M
 amarok-utils                                                    x86_64                                     2.4.3-1.fc16                                                           updates-testing                                     128 k
 at                                                              x86_64                                     3.1.13-1.fc16                                                          updates-testing                                      62 k
 bind-libs                                                       x86_64                                     32:9.8.0-9.P4.fc16                                                     updates-testing                                     842 k
 bind-libs-lite                                                  x86_64                                     32:9.8.0-9.P4.fc16                                                     updates-testing                                     611 k
 bind-license                                                    noarch                                     32:9.8.0-9.P4.fc16                                                     updates-testing                                      67 k
 bind-utils                                                      x86_64                                     32:9.8.0-9.P4.fc16                                                     updates-testing                                     178 k
 bluez                                                           x86_64                                     4.96-1.fc16                                                            updates-testing                                     402 k
 bluez-cups                                                      x86_64                                     4.96-1.fc16                                                            updates-testing                                      33 k
 bluez-libs                                                      x86_64                                     4.96-1.fc16                                                            updates-testing                                      83 k
 cifs-utils                                                      x86_64                                     5.0-2.fc16                                                             updates-testing                                      44 k
 cups-pk-helper                                                  x86_64                                     0.1.3-1.fc16                                                           updates-testing                                      42 k
 curl                                                            x86_64                                     7.21.7-2.fc16                                                          updates-testing                                     237 k
 foomatic                                                        x86_64                                     4.0.8-2.fc16                                                           updates-testing                                     242 k
 foomatic-filters                                                x86_64                                     4.0.8-2.fc16                                                           updates-testing                                      92 k
 freetype                                                        x86_64                                     2.4.6-1.fc16                                                           updates-testing                                     363 k
 gdb                                                             x86_64                                     7.3.50.20110722-2.fc16                                                 updates-testing                                     1.9 M
 gobject-introspection                                           x86_64                                     1.29.16-1.fc16                                                         updates-testing                                     198 k
 iputils                                                         x86_64                                     20101006-10.fc16                                                       updates-testing                                     127 k
 kdebase-workspace                                               x86_64                                     4.7.0-2.fc16                                                           updates-testing                                     9.3 M
 kdebase-workspace-libs                                          x86_64                                     4.7.0-2.fc16                                                           updates-testing                                     1.1 M
 kdenetwork                                                      x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                      15 k
 kdm                                                             x86_64                                     4.7.0-2.fc16                                                           updates-testing                                     1.7 M
 ksysguardd                                                      x86_64                                     4.7.0-2.fc16                                                           updates-testing                                      92 k
 libcap                                                          x86_64                                     2.22-1.fc15                                                            fedora                                               39 k
 libcurl                                                         x86_64                                     7.21.7-2.fc16                                                          updates-testing                                     185 k
 libevent                                                        x86_64                                     2.0.12-1.fc16                                                          updates-testing                                     158 k
 libgcc                                                          x86_64                                     4.6.1-7.fc16                                                           updates-testing                                      84 k
 libgfortran                                                     x86_64                                     4.6.1-7.fc16                                                           updates-testing                                     282 k
 libgomp                                                         x86_64                                     4.6.1-7.fc16                                                           updates-testing                                      94 k
 libldb                                                          x86_64                                     1.1.0-1.fc16                                                           updates-testing                                     105 k
 libquadmath                                                     x86_64                                     4.6.1-7.fc16                                                           updates-testing                                     159 k
 libreport                                                       x86_64                                     2.0.5-4.fc16                                                           updates-testing                                     111 k
 libreport-gtk                                                   x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      31 k
 libreport-newt                                                  x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      10 k
 libreport-plugin-bugzilla                                       x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      16 k
 libreport-plugin-kerneloops                                     x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      10 k
 libreport-plugin-logger                                         x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      10 k
 libreport-python                                                x86_64                                     2.0.5-4.fc16                                                           updates-testing                                      17 k
 libsepol                                                        x86_64                                     2.1.1-1.fc16                                                           updates-testing                                     132 k
 libstdc++                                                       x86_64                                     4.6.1-7.fc16                                                           updates-testing                                     284 k
 libtevent                                                       x86_64                                     0.9.13-1.fc16                                                          updates-testing                                      22 k
 lilypond-emmentaler-fonts                                       x86_64                                     2.14.2-1.fc16                                                          updates-testing                                     268 k
 lilypond-fonts-common                                           x86_64                                     2.14.2-1.fc16                                                          updates-testing                                      22 k
 linux-firmware                                                  noarch                                     20110731-2.fc16                                                        updates-testing                                     8.2 M
 llvm-libs                                                       x86_64                                     2.9-2.fc16                                                             updates-testing                                     5.3 M
 mdadm                                                           x86_64                                     3.2.2-7.fc16                                                           updates-testing                                     314 k
 mesa-dri-drivers                                                x86_64                                     7.11-2.fc16                                                            updates-testing                                     9.5 M
 mesa-dri-filesystem                                             x86_64                                     7.11-2.fc16                                                            updates-testing                                      20 k
 mesa-libGL                                                      x86_64                                     7.11-2.fc16                                                            updates-testing                                     130 k
 mesa-libGLU                                                     x86_64                                     7.11-2.fc16                                                            updates-testing                                     173 k
 microcode_ctl                                                   x86_64                                     1:1.17-18.fc16                                                         updates-testing                                     315 k
 mysql-embedded                                                  x86_64                                     5.5.14-3.fc16                                                          updates-testing                                     2.7 M
 mysql-libs                                                      x86_64                                     5.5.14-3.fc16                                                          updates-testing                                     682 k
 nfs-utils                                                       x86_64                                     1:1.2.4-4.fc16                                                         updates-testing                                     293 k
 obexd                                                           x86_64                                     0.42-1.fc16                                                            updates-testing                                      60 k
 perf                                                            x86_64                                     3.0.0-3.fc16                                                           updates-testing                                     369 k
 perl                                                            x86_64                                     4:5.14.1-185.fc16                                                      updates-testing                                      10 M
 perl-Module-Pluggable                                           noarch                                     1:3.90-185.fc16                                                        updates-testing                                      43 k
 perl-PathTools                                                  x86_64                                     3.33-185.fc16                                                          updates-testing                                     101 k
 perl-Pod-Escapes                                                noarch                                     1:1.04-185.fc16                                                        updates-testing                                      36 k
 perl-Pod-Simple                                                 noarch                                     1:3.16-185.fc16                                                        updates-testing                                     219 k
 perl-Scalar-List-Utils                                          x86_64                                     1.23-185.fc16                                                          updates-testing                                      52 k
 perl-libs                                                       x86_64                                     4:5.14.1-185.fc16                                                      updates-testing                                     618 k
 perl-macros                                                     x86_64                                     4:5.14.1-185.fc16                                                      updates-testing                                      28 k
 perl-threads                                                    x86_64                                     1.83-185.fc16                                                          updates-testing                                      65 k
 perl-threads-shared                                             x86_64                                     1.37-185.fc16                                                          updates-testing                                      54 k
 plasma-scriptengine-python                                      x86_64                                     4.7.0-2.fc16                                                           updates-testing                                      65 k
 ql2500-firmware                                                 noarch                                     5.06.00-1.fc16                                                         updates-testing                                     110 k
 raptor                                                          x86_64                                     1.4.21-10.fc16                                                         updates-testing                                     234 k
 rasqal                                                          x86_64                                     0.9.26-1.fc16                                                          updates-testing                                     253 k
 redland                                                         x86_64                                     1.0.14-1.fc16                                                          updates-testing                                     153 k
 redland-virtuoso                                                x86_64                                     1.0.14-1.fc16                                                          updates-testing                                      26 k
 selinux-policy                                                  noarch                                     3.10.0-15.fc16                                                         updates-testing                                     766 k
 selinux-policy-targeted                                         noarch                                     3.10.0-15.fc16                                                         updates-testing                                     3.4 M
 soprano                                                         x86_64                                     2.7.0-1.fc16                                                           updates-testing                                     615 k
 sssd                                                            x86_64                                     1.6.0-2.fc16                                                           updates-testing                                     973 k
 sssd-client                                                     x86_64                                     1.6.0-2.fc16                                                           updates-testing                                      67 k
 strigi-libs                                                     x86_64                                     0.7.5-1.fc16                                                           updates-testing                                     408 k
 tigervnc-license                                                noarch                                     1.0.90-6.fc16                                                          updates-testing                                      19 k
 tigervnc-server-minimal                                         x86_64                                     1.0.90-6.fc16                                                          updates-testing                                     863 k
 wpa_supplicant                                                  x86_64                                     1:0.7.3-9.fc16                                                         updates-testing                                     371 k
 xorg-x11-drv-ati                                                x86_64                                     6.14.2-1.20110727git8c9266ed2.fc16                                     updates-testing                                     391 k
 xorg-x11-drv-evdev                                              x86_64                                     2.6.99-2.20110601giteaf202531.fc16                                     updates-testing                                      36 k
 xorg-x11-drv-intel                                              x86_64                                     2.15.901-1.fc16                                                        updates-testing                                     198 k
 xorg-x11-server-Xephyr                                          x86_64                                     1.10.99.1-9.20110510.fc16                                              updates-testing                                     842 k
 xorg-x11-server-Xorg                                            x86_64                                     1.10.99.1-9.20110510.fc16                                              updates-testing                                     1.4 M
 xorg-x11-server-common                                          x86_64                                     1.10.99.1-9.20110510.fc16                                              updates-testing                                      77 k
 ypbind                                                          x86_64                                     3:1.33-5.fc16                                                          updates-testing                                      57 k
Installing for dependencies:
 kdenetwork-common                                               noarch                                     7:4.7.0-1.fc16                                                         updates-testing                                      14 k
 kdenetwork-fileshare-samba                                      x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                      37 k
 kdenetwork-kdnssd                                               x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                      39 k
 kdenetwork-kget                                                 x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                     1.4 M
 kdenetwork-kget-libs                                            x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                     262 k
 kdenetwork-kppp                                                 x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                     652 k
 kdenetwork-krdc                                                 x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                     878 k
 kdenetwork-krdc-libs                                            x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                      32 k
 kdenetwork-krfb                                                 x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                     441 k
 kdenetwork-krfb-libs                                            x86_64                                     7:4.7.0-1.fc16                                                         updates-testing                                      19 k
 libipa_hbac                                                     x86_64                                     1.6.0-2.fc16                                                           updates-testing                                      37 k
 libunistring                                                    x86_64                                     0.9.3-2.fc15                                                           fedora                                              287 k
 netxen-firmware                                                 noarch                                     4.0.534-4.fc15                                                         fedora                                              1.1 M
 raptor2                                                         x86_64                                     2.0.4-2.fc16                                                           updates-testing                                     182 k
 samba                                                           x86_64                                     3.6.0-69rc2.fc16.1                                                     fedora                                              4.7 M
 samba-common                                                    x86_64                                     3.6.0-69rc2.fc16.1                                                     fedora                                              9.1 M
 yajl                                                            x86_64                                     1.0.12-1.fc16                                                          fedora                                               28 k

Transaction Summary
=============================================================================================================================================================================================================================================
Install      18 Packages
Upgrade      97 Packages

Total size: 128 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/lib64/libkrdccore.so.4.7.0 from install of kdenetwork-krdc-libs-7:4.7.0-1.fc16.x86_64 conflicts with file from package kdenetwork-libs-7:4.6.95-1.fc16.x86_64
  file /usr/lib64/libkgetcore.so.4.7.0 from install of kdenetwork-kget-libs-7:4.7.0-1.fc16.x86_64 conflicts with file from package kdenetwork-libs-7:4.6.95-1.fc16.x86_64
  file /usr/lib64/libkrfbprivate.so.4.7.0 from install of kdenetwork-krfb-libs-7:4.7.0-1.fc16.x86_64 conflicts with file from package kdenetwork-libs-7:4.6.95-1.fc16.x86_64

Error Summary
-------------

Comment 1 Fedora Update System 2011-08-08 13:00:37 UTC
kdenetwork-4.7.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kdenetwork-4.7.0-3.fc16

Comment 2 Fedora Update System 2011-08-22 15:20:46 UTC
kdenetwork-4.7.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.